package com.ruoyi.crops.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.Date;

/**
 * 发布shp地图服务文件表;
 * @author : http://www.chiner.pro
 * @date : 2023-6-30
 */

public class GeoserverShp{
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    private Integer id ;
    private String fileName ;
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private Date time ;

    public Integer getId(){
        return this.id;
    }
    public void setId(Integer id){
        this.id=id;
    }
    public String getFileName(){
        return this.fileName;
    }
    public void setFileName(String fileName){
        this.fileName=fileName;
    }
    public Date getTime(){
        return this.time;
    }
    public void setTime(Date time){
        this.time=time;
    }

    @Override
    public String toString() {
        return "GeoserverShp{" +
                "id=" + id +
                ", fileName='" + fileName + '\'' +
                ", time='" + time + '\'' +
                '}';
    }
}
