package com.ruoyi.crops.domain;

import java.util.Date;

 /**
 * 农机位置表;
 * @author : http://www.chiner.pro
 * @date : 2023-6-6
 */
public class MachineryPosition {
    /** id */
    private Integer id ;
    /** 农机编号 */
    private String vehicleno ;
    /** 时间（北京时间） */
    private Date postime ;
    /** 纬度值(WGS84 坐标系) */
    private Double lat ;
    /** 经度值(WGS84 坐标系) */
    private Double lng ;
    /** 速度（km/h） */
    private Double speed ;
    /** 作业类型代码 */
    private Integer jobtype ;
    /** 作业深度（cm） */
    private Double depth ;

    /** id */
    public Integer getId(){
        return this.id;
    }
    /** id */
    public void setId(Integer id){
        this.id=id;
    }
    /** 农机编号 */
    public String getVehicleno(){
        return this.vehicleno;
    }
    /** 农机编号 */
    public void setVehicleno(String vehicleno){
        this.vehicleno=vehicleno;
    }
    /** 时间（北京时间） */
    public Date getPostime(){
        return this.postime;
    }
    /** 时间（北京时间） */
    public void setPostime(Date postime){
        this.postime=postime;
    }
    /** 纬度值(WGS84 坐标系) */
    public Double getLat(){
        return this.lat;
    }
    /** 纬度值(WGS84 坐标系) */
    public void setLat(Double lat){
        this.lat=lat;
    }
    /** 经度值(WGS84 坐标系) */
    public Double getLng(){
        return this.lng;
    }
    /** 经度值(WGS84 坐标系) */
    public void setLng(Double lng){
        this.lng=lng;
    }
    /** 速度（km/h） */
    public Double getSpeed(){
        return this.speed;
    }
    /** 速度（km/h） */
    public void setSpeed(Double speed){
        this.speed=speed;
    }
    /** 作业类型代码 */
    public Integer getJobtype(){
        return this.jobtype;
    }
    /** 作业类型代码 */
    public void setJobtype(Integer jobtype){
        this.jobtype=jobtype;
    }
    /** 作业深度（cm） */
    public Double getDepth(){
        return this.depth;
    }
    /** 作业深度（cm） */
    public void setDepth(Double depth){
        this.depth=depth;
    }
}
