package com.ruoyi.crops.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

public class MachineryJobDataVo {
    /** 作业类型码 */
    private String jobtype ;

    /** 农机编号 */
    @Excel(name = "设备编号")
    private String vehicleno ;

    /** 农机类型 */
    @Excel(name = "设备类型")
    private String vehicletype ;

    /** 终端编号 */
    @Excel(name = "机器码")
    private String vmeid ;

    /** 作业日期 */
    @Excel(name = "作业日期",dateFormat = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd")
    private Date jobday ;

    @Excel(name = "作业面积(亩)")
    /** 作业面积（单位：亩） */
    private Double jobarea ;

    /** 车主姓名 */
    @Excel(name = "用户名")
    private String ownername ;

    /** 车主电话 */
    @Excel(name = "联系方式")
    private String ownertel ;

    /** 面积（单位：亩） */
    private Double area ;
    /** 时长（单位：小时） */
    private Double workhours ;

    public String getVehicletype() {
        return vehicletype;
    }

    public void setVehicletype(String vehicletype) {
        this.vehicletype = vehicletype;
    }

    public String getVehicleno() {
        return vehicleno;
    }

    public void setVehicleno(String vehicleno) {
        this.vehicleno = vehicleno;
    }

    public String getVmeid() {
        return vmeid;
    }

    public void setVmeid(String vmeid) {
        this.vmeid = vmeid;
    }

    public Date getJobday() {
        return jobday;
    }

    public void setJobday(Date jobday) {
        this.jobday = jobday;
    }

    public Double getJobarea() {
        return jobarea;
    }

    public void setJobarea(Double jobarea) {
        this.jobarea = jobarea;
    }

    public String getOwnername() {
        return ownername;
    }

    public void setOwnername(String ownername) {
        this.ownername = ownername;
    }

    public String getOwnertel() {
        return ownertel;
    }

    public void setOwnertel(String ownertel) {
        this.ownertel = ownertel;
    }

    public String getJobtype() {
        return jobtype;
    }

    public void setJobtype(String jobtype) {
        this.jobtype = jobtype;
    }

    public Double getArea() {
        return area;
    }

    public void setArea(Double area) {
        this.area = area;
    }

    public Double getWorkhours() {
        return workhours;
    }

    public void setWorkhours(Double workhours) {
        this.workhours = workhours;
    }

    @Override
    public String toString() {
        return "MachineryJobDataVo{" +
                "jobtype='" + jobtype + '\'' +
                ", vehicleno='" + vehicleno + '\'' +
                ", vehicletype='" + vehicletype + '\'' +
                ", vmeid='" + vmeid + '\'' +
                ", jobday=" + jobday +
                ", jobarea=" + jobarea +
                ", ownername='" + ownername + '\'' +
                ", ownertel='" + ownertel + '\'' +
                ", area=" + area +
                ", workhours=" + workhours +
                '}';
    }
}
