package com.ruoyi.crops.mapper;

import com.ruoyi.crops.domain.CropsDrought;
import org.springframework.data.repository.query.Param;

import java.util.Date;
import java.util.List;

public interface CropsDroughtMapper {
    /**
     * 批量新增作物长势数据
     * @param cropsDroughtList
     * @return
     */
    public int insertBatch(@Param("list") List<CropsDrought> cropsDroughtList);

    /**
     * 根据时间查询作物长势数据
     * @param time
     * @return
     */
    List<CropsDrought> selectByTime(Date time);
}
