package com.ruoyi.crops.mapper;

import com.ruoyi.crops.domain.CropStructure;
import org.springframework.data.repository.query.Param;

import java.util.Date;
import java.util.List;

public interface CropsStructureMapper {
    /**
     * 新增作物种植结构
     * @param cropStructure
     * @return
     */
    public int insertCropsStructure(CropStructure cropStructure);

    /**
     * 批量新增作物种植结构
     * @param list
     * @return
     */
    public int insertBatch(@Param("list") List<CropStructure> list);

    /**
     * 根据时间查询作物种植结构
     * @param time
     * @return
     */
    public List<CropStructure> selectByTime(Date time);
}
