package com.ruoyi.crops.mapper;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.crops.domain.CropsUser;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CropsUserMapper {
    /**
     * 获取用户列表
     * @return
     */
    List<CropsUser> list();

    /**
     * 新增用户
     * @param cropsUser
     * @return
     */
    int insert(CropsUser cropsUser);

    /**
     * 删除用户
     * @param id
     * @return
     */
    int delete(Integer id);

    /**
     * 修改用户
     * @param id
     * @return
     */
    int update(Integer id);

    /**
     * 根据id查询用户
     * @param phone
     * @return
     */
    CropsUser selectByPhone(String phone);

    CropsUser login(CropsUser user);

    int selectCountByName(String userName);
}
