package com.ruoyi.crops.mapper;

import com.ruoyi.crops.domain.CropsYield;
import org.springframework.data.repository.query.Param;

import java.util.Date;
import java.util.List;

public interface CropsYieldMapper {
    /**
     * 根据年份查询
     * @param year
     * @return
     */
    public List<CropsYield> selectByYear(Integer year);

    /**
     * 批量新增
     * @param list
     * @return
     */
    public int insertBatch(@Param("list") List<CropsYield> list);
}
