package com.ruoyi.crops.mapper;

import com.ruoyi.crops.domain.DeviceSense;
import com.ruoyi.crops.domain.vo.DeviceSenseVo;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface DeviceSenseMapper {
    int insert(DeviceSense deviceSense);

    //数据库判断重复数据后插入
    void dedupInsert(DeviceSense deviceSense);

    List<DeviceSense> selectById(String deviceId);

    List<DeviceSense> selectByTime(@Param("startTime") Date startTime, @Param("endTime") Date endTime);

    List<DeviceSenseVo> selecthours(@Param("startTime") Date startTime, @Param("endTime") Date endTime);

    List<DeviceSenseVo> selectdays(@Param("startTime") Date startTime, @Param("endTime") Date endTime);

}
