package com.ruoyi.crops.mapper;

import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.crops.domain.MachineryJobData;
import com.ruoyi.crops.domain.vo.MachineryJobDataVo;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface MachineryJobDataMapper {
    int insertBatch(@Param("entities") List<MachineryJobData> list);

    List<MachineryJobData> selectByTime(@Param("startTime") Date startTime,@Param("endTime")Date endTime);


    List<MachineryJobDataVo> selectMachineryJobData(@Param("startTime") Date startTime,@Param("endTime")Date endTime,@Param("vehicleno") String vehicleno);

    List<MachineryJobDataVo> selectMachineryJobData();

    void updateAreaWorkhours(@Param("vehicleno")String vehicleno, @Param("workArea") Double workArea,  @Param("workhours")Double workhours);

    MachineryJobDataVo selectTodayJobData();

    /**
     * 查询全部农机编号
     * @return
     */
    List<String> selectVehicleno();
}
