package com.ruoyi.crops.mapper;

import com.ruoyi.crops.domain.ServiceType;

import java.util.List;

public interface ServiceTypeMapper {

    /**
     * 根据类型查询
     *
     * @param type
     * @return
     */
    List<ServiceType> selectByType(String type);

    /**
     * 新增单条数据
     *
     * @param serviceType
     * @return
     */
    int insert(ServiceType serviceType);

    /**
     * 查询全部数据
     *
     * @return
     */
    List<ServiceType> selectAll();

    /**
     * 根据id数组删除
     *
     * @param ids
     * @return
     */
    int deleteByIds(Long[] ids);

    /**
     * 查询数据库是否存在相同文件名数据
     *
     * @param name
     * @return
     */
    int selectByfile(String name);
}
