package com.ruoyi.crops.service;

import com.ruoyi.crops.domain.CropsYield;

import java.util.Date;
import java.util.List;

public interface ICropsYieldService {
    /**
     * 根据年份查询作物产量
     * @param year
     * @return
     */
    public List<CropsYield> selectByYear(Integer year);

    /**
     * 批量新增作物产量数据
     * @param cropYieldList
     * @return
     */
    public int insertBatch (List<CropsYield> cropYieldList);
}
