package com.ruoyi.crops.service.impl;

import com.ruoyi.common.utils.BashUtils;
import com.ruoyi.crops.service.IexeService;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

@Service
public class ExeServiceImpl implements IexeService {
    @Value("${path.exepath}")
    private String exePath;

    @Override
    public String execCommand(String type, String filePath, String boundaryDataPath) {
        String path = "";
        String yieldType = "";
        switch (type) {
            case "zzjg":
                path = exePath + "农作物种植结构.exe ";
                break;
            case "zwzs":
                path = exePath + "农作物长势.exe ";
                break;
            case "zwhq":
                path = exePath + "农作物旱情.exe ";
                break;
            case "zwcl_ym":
                path = exePath + "农作物产量.exe ";
                yieldType = " '玉米'";
                break;
            case "zwcl_xm":
                path = exePath + "农作物产量.exe ";
                yieldType = " '小麦'";
                break;
            case "zwcl_qt":
                path = exePath + "农作物产量.exe ";
                yieldType = " '其他'";
                break;
            case "zwcl_hs":
                path = exePath + "农作物产量.exe ";
                yieldType = " '花生'";
                break;
            case "zwcl_dd":
                path = exePath + "农作物产量.exe ";
                yieldType = " '大豆'";
                break;
            default:return " 未执行exe";
        }

        return BashUtils.execCommand(path + "\"" + filePath + "\"" + " \"" + boundaryDataPath + "\"" + yieldType);
    }
}
