package com.ruoyi.crops.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

public class WeatherPredoctionVo {
    private String maxAirTemperature;
    private String minAirTemperature;
    private String maxHumidity;
    private String minHumidity;
    private String windSpeed;
    private String precipitation;

    @DateTimeFormat(pattern = "yyyy-MM-dd")//接收时间类型
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")//返回时间类型
    private Date weatherTime;

    public String getMaxAirTemperature() {
        return maxAirTemperature;
    }

    public void setMaxAirTemperature(String maxAirTemperature) {
        this.maxAirTemperature = maxAirTemperature;
    }

    public String getMinAirTemperature() {
        return minAirTemperature;
    }

    public void setMinAirTemperature(String minAirTemperature) {
        this.minAirTemperature = minAirTemperature;
    }

    public String getMaxHumidity() {
        return maxHumidity;
    }

    public void setMaxHumidity(String maxHumidity) {
        this.maxHumidity = maxHumidity;
    }

    public String getMinHumidity() {
        return minHumidity;
    }

    public void setMinHumidity(String minHumidity) {
        this.minHumidity = minHumidity;
    }

    public String getWindSpeed() {
        return windSpeed;
    }

    public void setWindSpeed(String windSpeed) {
        this.windSpeed = windSpeed;
    }

    public String getPrecipitation() {
        return precipitation;
    }

    public void setPrecipitation(String precipitation) {
        this.precipitation = precipitation;
    }

    public Date getWeatherTime() {
        return weatherTime;
    }

    public void setWeatherTime(Date weatherTime) {
        this.weatherTime = weatherTime;
    }

    @Override
    public String toString() {
        return "WeatherPredoctionVo{" +
                "maxAirTemperature='" + maxAirTemperature + '\'' +
                ", minAirTemperature='" + minAirTemperature + '\'' +
                ", maxHumidity='" + maxHumidity + '\'' +
                ", minHumidity='" + minHumidity + '\'' +
                ", windSpeed='" + windSpeed + '\'' +
                ", precipitation='" + precipitation + '\'' +
                ", weatherTime=" + weatherTime +
                '}';
    }
}
