package com.ruoyi.crops.mapper;

import com.ruoyi.crops.domain.MachineryPosition;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MachineryPositionMapper {
    /**
     * 查询农机在线数量
     * @return
     */
    public int selectMachineryOnline();

    /**
     * 插入农机位置
     * @param machineryPositions
     * @return
     */
    public int insertBatch(@Param("entities")List<MachineryPosition> machineryPositions);

    /**
     * 查询农机作业类型
     * @param vehicleno
     * @return
     */
    int selectJobtype(String vehicleno);
}
