package com.ruoyi.crops.service;
import com.ruoyi.crops.domain.GeoserverShp;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.Date;
import java.util.List;


/**
 * 发布shp地图服务文件表;(geoserver_shp)表服务接口
 * @author : http://www.chiner.pro
 * @date : 2023-6-30
 */
public interface IGeoserverShpService {
    /**
     * 通过时间查询
     */
    List<GeoserverShp> queryByTime(Date begintime,Date endtime);

    /**
     * 新增数据
     *
     * @param geoserverShp 实例对象
     * @return 实例对象
     */
    GeoserverShp insert(GeoserverShp geoserverShp);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);
}
