package com.ruoyi.crops.service;

import cn.hutool.http.HttpUtil;
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.ruoyi.crops.domain.MachineParameter;
import com.ruoyi.crops.domain.UserInfo;
import com.ruoyi.crops.domain.gsonBean.GsonMachineParameterBean;
import com.ruoyi.crops.domain.vo.MachineParameterVo;

import java.lang.reflect.Field;
import java.lang.reflect.Method;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public interface IMachineParameterService {

    /**
     * 获取水肥机全部状态参数
     * @return
     * @throws Exception
     */
    public MachineParameter getMachineParameter() throws Exception;

    /**
     * 获取ph值，流量，压力值
     * @return
     * @throws Exception
     */
    MachineParameterVo selectParameter() throws Exception;

}
