package com.ruoyi.crops.service;

import com.ruoyi.crops.domain.ServiceType;

import java.util.List;

public interface IServiceTypeService {

    /**
     * 根据类型查询
     * @param type
     * @return
     */
    List<ServiceType> selectByType(String type);

    /**
     * 新增数据
     * @param serviceType
     * @return
     */
    int insert(ServiceType serviceType);

    /**
     * 查询全部
     * @return
     */
    List<ServiceType> selectAll();

    /**
     * 根据id批量删除
     * @param ids
     * @return
     */
    int deleteByIds(Long[] ids);
}
