package com.ruoyi.crops.service.impl;

import com.ruoyi.crops.domain.CropsGrowth;
import com.ruoyi.crops.mapper.CropsGrowthMapper;
import com.ruoyi.crops.service.ICropsGrowthService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service
public class CropsGrowthServiceImpl implements ICropsGrowthService {
    @Autowired
    private CropsGrowthMapper cropsGrowthMapper;

    /**
     * 批量新增作物长势数据
     * @param cropGrowth
     * @return
     */
    @Override
    public int insertBatch(List<CropsGrowth> cropGrowth) {
        return cropsGrowthMapper.insertBatch(cropGrowth);
    }

    /**
     * 根据时间查询作物长势数据
     * @param time
     * @return
     */
    @Override
    public List<CropsGrowth> selectByTime(Date time) {
        return cropsGrowthMapper.selectByTime(time);
    }
}
