package com.ruoyi.crops.service.impl;

import com.ruoyi.crops.domain.Meteorological;
import com.ruoyi.crops.mapper.MeteorologicalMapper;
import com.ruoyi.crops.service.IMeteorologicalService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class MeteorologicalServiceImpl implements IMeteorologicalService {
    @Autowired
    private MeteorologicalMapper meteorologicalMapper;

    /**
     * 根据时间查询
     * @return
     */
    @Override
    public List<Meteorological> selectByTime() {
     return meteorologicalMapper.selectbyTime();

    }

    /**
     * 新增单条数据
     * @param ml
     * @return
     */
    @Override
    public int insert(Meteorological ml) {
        return meteorologicalMapper.insert(ml);
    }

    /**
     * 批量新增数据
     * @param ml
     * @return
     */
    @Override
    public int insertBatch(List<Meteorological> ml) {
        return meteorologicalMapper.insertBatch(ml);
    }
}
