package com.ruoyi.crops.service.impl;

import com.ruoyi.crops.domain.WarningFarm;
import com.ruoyi.crops.domain.WarningInformation;
import com.ruoyi.crops.mapper.WarningFarmMapper;
import com.ruoyi.crops.service.IWarningFarmService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service
public class WarningFarmServiceImpl implements IWarningFarmService {
    @Autowired
    private WarningFarmMapper warningFarmMapper;
    @Override
    public int insertWarning(WarningFarm warningFarm) {
        return warningFarmMapper.insertWarning(warningFarm);

    }

    @Override
    public List<WarningFarm> selectByTime(Date beginTime, Date endTime) {
        return warningFarmMapper.selectByTime(beginTime,endTime);
    }
}
